petsc-3.4.2 2013-07-02

# DMDANaturalToGlobalEnd

Maps values from the natural ordering global vector to a global vector in the PETSc DMDA ordering. Must be preceeded by DMDANaturalToGlobalBegin().

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDANaturalToGlobalEnd(DM da,Vec g,InsertMode mode,Vec l)

Neighbor-wise Collective on DMDA

### Input Parameters

| da | - the distributed array context
| g | - the global vector in a natural ordering
| mode | - one of INSERT_VALUES or ADD_VALUES

### Output Parameter

l -the global values in the PETSc DMDA ordering

### Notes

The global and local vectors used here need not be the same as those obtained from DMCreateGlobalVector() and DMDACreateNaturalVector(), BUT they must have the same parallel data layout; they could, for example, be obtained with VecDuplicate() from the DMDA originating vectors.

### Keywords

distributed array, global to local, end

### See Also

DMDAGlobalToNaturalBegin(), DMDAGlobalToNaturalEnd(), DMLocalToGlobalBegin(), DMDACreate2d(),
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDACreateNaturalVector()

Level:intermediate
Location:src/dm/impls/da/dagtol.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages